BusinessChecksReports
Retrieve the Outstanding Checks Report
GET
Checks issued on or before the as-of date that the bank had not paid, and that were not voided, by the end of that day. These are the checks the reconciliation balance check allows for.
Scopes: report:read
OAuth2ClientCredentialsBearer report:readheader
AuthorizationBearer <token>Scope: report:read
business_id*Business IdThe id of the business
Format
biz_stringas_of?|The date the report is as of, inclusive. Defaults to today.
external_account_id?|Limit the report to one bank account
Successful Response
application/json- response
data*curl -X GET 'https://api.sandbox.getasset.com/v0/business/biz_GA6EG2qFxA97NZHtxeLPUy/reports/outstanding-checks'Example Response
{ "data": { "as_of": "2019-08-24", "accounts": [ { "external_account_id": "eac_ApaM9xeQtNyVk5qpaHJbNj", "external_account_name": "Chase Business Checking", "currency": "USD", "checks": [ { "check_id": "chk_WQMDNUHpBThYSNh4AprDBo", "check_number": "1042", "issued_at": "2019-08-24T14:15:22Z", "payee": "ABC Plumbing", "vendor_id": "ven_WQMDNUHpBThYSNh4AprDBo", "amount": 500, "days_outstanding": 27 } ], "total": 700 } ], "totals": [ { "currency": "USD", "total": 700 } ] }}